Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.mux
Class Multiplexer

    java.lang.Object
      org.jgroups.mux.Multiplexer

All Implemented Interfaces:
  UpHandler

Deprecated.

    @Deprecated
    public class Multiplexer

extends java.lang.Object
implements UpHandler

The multiplexer allows multiple channel interfaces to be associated with one underlying instance of JChannel.

The multiplexer is essentially a building block residing on top of a JChannel providing multiplexing functionality to N instances of MuxChannel. Since MuxChannel extends the JGroups JChannel class, user applications are completely unaware of this change in the underlying plumbing.

Each JGroups application sharing a channel through a multiplexer has to create a MuxChannel with a unique application id. The multiplexer keeps track of all registered applications and tags messages belonging to a specific application with that id for sent messages. When receiving a message from a remote peer, the multiplexer will dispatch a message to the appropriate MuxChannel depending on the id attached to the message.

Author:
  Bela Ban, Vladimir Blagojevic
See Also:
  `MuxChannel`, `Channel`

Field Summary
`protected long` | `service_ack_timeout` Deprecated.

Constructor Summary
`Multiplexer(JChannel channel)` Deprecated.

Method Summary
`boolean` | `close()` Deprecated.
`void` | `closeAll()` Deprecated.
`Channel` | `createMuxChannel(java.lang.String id, java.lang.String stack_name)` Deprecated.
`protected java.util.concurrent.ThreadPoolExecutor` | `createThreadPool()` Deprecated.
`java.util.Set` | `getApplicationIds()` Deprecated. Use ${link #getServiceIds()} instead
`long` | `getServiceAckTimeout()` Deprecated.
`java.util.Set<java.lang.String>` | `getServiceIds()` Deprecated.
`long` | `getServicesResponseTimeout()` Deprecated.
`void` | `registerForStateTransfer(java.lang.String appl_id, java.lang.String substate_id)` Deprecated.
`protected MuxChannel` | `removeService(java.lang.String id)` Deprecated.
`void` | `setServiceAckTimeout(long service_ack_timeout)` Deprecated.
`void` | `setServicesResponseTimeout(long services_rsp_timeout)` Deprecated.
`protected void` | `shutdownThreadPool()` Deprecated.
`java.lang.Object` | `up(Event evt)` Deprecated. Remove mux header and dispatch to correct MuxChannel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_ack_timeout

    protected long service_ack_timeout

  Deprecated.

Constructor Detail

### Multiplexer

    public Multiplexer(JChannel channel)

  Deprecated.

Method Detail

### getApplicationIds

    public java.util.Set getApplicationIds()

  Deprecated. Use ${link #getServiceIds()} instead

  Returns:
    The set of service IDs

### getServiceIds

    public java.util.Set<java.lang.String> getServiceIds()

  Deprecated.

### getServicesResponseTimeout

    public long getServicesResponseTimeout()

  Deprecated.

### setServicesResponseTimeout

    public void setServicesResponseTimeout(long services_rsp_timeout)

  Deprecated.

### getServiceAckTimeout

    public long getServiceAckTimeout()

  Deprecated.

### setServiceAckTimeout

    public void setServiceAckTimeout(long service_ack_timeout)

  Deprecated.

### registerForStateTransfer

    public void registerForStateTransfer(java.lang.String appl_id,
                                         java.lang.String substate_id)

  Deprecated.

### createThreadPool

    protected java.util.concurrent.ThreadPoolExecutor createThreadPool()

  Deprecated.

### shutdownThreadPool

    protected void shutdownThreadPool()

  Deprecated.

### up

    public java.lang.Object up(Event evt)

  Deprecated.
  Remove mux header and dispatch to correct MuxChannel

  Specified by:
    `up` in interface `UpHandler`
  Parameters:
    `evt` -
  Returns:

### createMuxChannel

    public Channel createMuxChannel(java.lang.String id,
                                    java.lang.String stack_name)
                             throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### removeService

    protected MuxChannel removeService(java.lang.String id)

  Deprecated.

### close

    public boolean close()

  Deprecated.

### closeAll

    public void closeAll()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.